Page MenuHomePhabricator

Tech Talks Proposal July 10, 2019: Deployment Pipeline Overview
Closed, ResolvedPublic

Description

Date July 10, 2019, Time TBA
Speaker: Alexandros Kosiaris

  • Determine time
  • Book conference room
  • Set up Google Hangout on air and youtube stream with OIT
  • 30 days out, send email -- external goes to Wikitech-l, internal goes to product-all, tech-all, foundation-optional
  • 1 week out -- 30 days out, send email -- external goes to Wikitech-l, internal goes to product-all, tech-all, foundation-optional
  • .5 hours out -- 30 days out, send email -- external goes to Wikitech-l, internal goes to product-all, tech-all, foundation-optional
  • Upload talk to Commons and update: https://www.mediawiki.org/wiki/Wikimedia_Technical_Talks#Episode_4%3A_Wikimedia_and_W3C
  • Deployment Pipeline: a 3048m view

Description:

The deployment pipeline project has been ongoing for a while, sometimes with more resources poured into it, sometimes less, but it's finally in a state that is ready to be used (it's already being used!). This tech talk is about a presentation to wider technical audiences, discussing the goals of the project, the implementation decisions and how it's meant to be used and adopted by the deployers of services (and eventually MediaWiki) in the coming months.

Event Timeline

Quiddity updated the task description. (Show Details)Apr 23 2019, 6:00 PM
Quiddity added a subscriber: Quiddity.
srodlund renamed this task from Tech Talks Proposal 2019: Deployment Pipeline Overview to Tech Talks Proposal July 10, 2019: Deployment Pipeline Overview.Apr 23 2019, 8:27 PM
srodlund updated the task description. (Show Details)May 14 2019, 9:46 PM
srodlund reassigned this task from srodlund to ssastry.May 23 2019, 5:51 PM
srodlund added a subscriber: ssastry.

Hey hey @ssastry -- here is the ticket for the July talk.

jbond added a subscriber: jbond.Jul 1 2019, 4:57 PM
Aklapper closed this task as Resolved.Jul 31 2019, 6:49 PM

As per https://www.youtube.com/watch?v=i0FTcG7PxzI I assume that this took place, hence resolving task.